# TdApi.GetChat

Package it.ernytech.tdlib

## Class TdApi.GetChat

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.GetChat

Enclosing class:
  TdApi

    public static class TdApi.GetChat
    extends TdApi.Function

Returns information about a chat by its identifier, this is an offline request if the current user is not a bot.

Returns `Chat`

### Field Summary

Fields
`long` `chatId` Chat identifier.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.

### Constructor Summary

Constructors
`GetChat()` Default constructor.
`GetChat​(long chatId)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### chatId

    public long chatId

Chat identifier.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### GetChat

    public GetChat()

Default constructor.

#### GetChat

    public GetChat​(long chatId)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Chat identifier.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR